Skip to content
Unified interface to R charts
Branch: master
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
R chart compatible with ggplot2 v. 3.0 (part II) Apr 24, 2019
man chart compatible with ggplot2 v. 3.0 (part II) Apr 24, 2019
tests
vignettes First version passing R CMD check Feb 22, 2018
.Rbuildignore Initial state Feb 22, 2018
.gitignore
.travis.yml Initial state Feb 22, 2018
CONDUCT.md Initial state Feb 22, 2018
DESCRIPTION
LICENSE
NAMESPACE
NEWS.md
README.md
TODO base and lattice support for chart(): first implementation Jun 26, 2018
appveyor.yml chart made compatible with ggplot2 v. 3.0 Apr 24, 2019
chart.Rproj First version passing R CMD check Feb 22, 2018

README.md

chart - Unified interface (with formula) for R plots

Linux & OSX Build Status Win Build Status Coverage Status CRAN Status License

Installation

Latest stable version

The latest stable version of chart can simply be installed from CRAN:

install.packages("chart")

Development version

Make sure you have the devtools R package installed:

install.packages("devtools")

Use install_github() to install the chart package from Github (source from master branch will be recompiled on your machine):

devtools::install_github("SciViews/chart", build_vignettes = TRUE)

R should install all required dependencies automatically, and then it should compile and install chart.

Latest devel version of chart (source + Windows binaires for the latest stable version of R at the time of compilation) is also available from appveyor.

Usage

Make the chart package available in your R session:

library("chart")

Get help about this package:

library(help = "chart")
help("chart-package")

For further instructions, please, refer to these help pages.

Note to developers

Please note that this project is released with a Contributor Code of Conduct. By participating in this project you agree to abide by its terms.

You can’t perform that action at this time.